Page MenuHomePhabricator

Investigate/prevent master revision query on enwiki edit form
Closed, ResolvedPublic

Description

Seeing it on frwiki and dewiki, but not locally. Maybe some extension causes it?

Related: https://gerrit.wikimedia.org/r/#/c/185372/

Event Timeline

aaron created this task.Jan 15 2015, 12:22 AM
aaron claimed this task.
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a project: MediaWiki-Core-Team.
aaron moved this task to In Dev/Progress on the MediaWiki-Core-Team board.
aaron added a subscriber: aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 12:22 AM
aaron updated the task description. (Show Details)Jan 15 2015, 12:54 AM
aaron set Security to None.
aaron updated the task description. (Show Details)Jan 20 2015, 10:24 PM
gerritbot added a subscriber: gerritbot.

Change 185342 had a related patch set uploaded (by Aaron Schulz):
Added query/connection expectation support to TransactionProfiler

https://gerrit.wikimedia.org/r/185342

Patch-For-Review

Change 185342 merged by jenkins-bot:
Added query/connection expectation support to TransactionProfiler

https://gerrit.wikimedia.org/r/185342

Change 194184 had a related patch set uploaded (by Aaron Schulz):
Made master connection expectations actually work

https://gerrit.wikimedia.org/r/194184

Change 194184 merged by jenkins-bot:
Made master connection expectations actually work

https://gerrit.wikimedia.org/r/194184

Change 195842 had a related patch set uploaded (by Aaron Schulz):
Removed newFromConds master fallback logic; obsoleted by $flags

https://gerrit.wikimedia.org/r/195842

aaron renamed this task from Investigate master revision query on enwiki edit form to Investigate/prevent master revision query on enwiki edit form.Mar 11 2015, 4:12 AM
aaron moved this task from In Dev/Progress to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 195842 merged by jenkins-bot:
Removed newFromConds master fallback logic; obsoleted by $flags

https://gerrit.wikimedia.org/r/195842

bd808 closed this task as Resolved.Mar 16 2015, 9:11 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.